import { z } from 'zod';

export const ReportListSchema = z.object({
	limit: z.number().nullish(),
	from: z.number().nullish(),

	status: z.enum(['none', 'review', 'reviewed']).nullish(),
	reporter: z.string().nullish(),
	reported: z.string().nullish(),
	draft: z.boolean().nullish(),

	hash: z.string().nullish()
});

export const ReportEditSchema = z.object({
	id: z.number(),
	reported: z.string().nullish(),
	auditor: z.number(),
	notice: z.string().nullish(),
	statement: z.string().nullish(),
	status: z.enum(['none', 'review', 'reviewed']).nullish(),
	strike_reason: z.number().nullish()
});

export const ReportAddSchema = z.object({
	reporter: z.string(),
	reported: z.string().nullish(),
	reason: z.string(),
	body: z.string().nullish()
});
